---
updatedAt: 2026-02-27T06:36:00.000Z
agentTools:
  projectIndex: https://developers.smsedge.io/llms.txt
---

# Create email

Add an email contact to list

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "smsedge-api",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.smsedge.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/email_contact": {
      "post": {
        "summary": "Create email",
        "description": "Add an email contact to list",
        "operationId": "create-email",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "list_id",
                  "email"
                ],
                "properties": {
                  "list_id": {
                    "type": "integer",
                    "format": "int32"
                  },
                  "email": {
                    "type": "string"
                  },
                  "country": {
                    "type": "string",
                    "description": "The country ISO or name (for example: US or USA)"
                  },
                  "country_id": {
                    "type": "integer",
                    "description": "ID of country.",
                    "format": "int32"
                  },
                  "name": {
                    "type": "string",
                    "description": "Name of recipient"
                  },
                  "lname": {
                    "type": "string",
                    "description": "Last name of recipient"
                  },
                  "number": {
                    "type": "string",
                    "description": "Phone number of the recipient"
                  },
                  "gender": {
                    "type": "string",
                    "description": "Expecting values: Gender Male => [m, male, masculine, men, guy, boy, mr, mister, м, муж, мужчина, мужской, парень, мальчик, ז, זכר], Gender Female => [f, fem, female, feminine, woman, women, girl, ms, mrs, miss, mistress, ж, жен, женщина, женский, девушка, девочка, נ, נקבה]"
                  },
                  "birthday": {
                    "type": "string",
                    "description": "Year-month-day"
                  },
                  "custom1": {
                    "type": "string"
                  },
                  "custom2": {
                    "type": "string"
                  },
                  "custom3": {
                    "type": "string"
                  },
                  "custom4": {
                    "type": "string"
                  },
                  "custom5": {
                    "type": "string"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"success\": true,\n    \"data\": {\n        \"id\": 14644,\n        \"email\": \"test@email.com\",\n        \"list_id\": 540,\n        \"country\": null,\n        \"verification_status\": 3,\n        \"verified\": 2,\n        \"birthday\": null,\n        \"gender\": null,\n        \"name\": null,\n        \"lname\": null,\n        \"number\": null,\n        \"normalized\": null,\n        \"custom1\": null,\n        \"custom2\": null,\n        \"custom3\": null,\n        \"custom4\": null,\n        \"custom5\": null,\n        \"verify_local\": true\n    },\n    \"errors\": [],\n    \"response\": {\n        \"code\": 200,\n        \"description\": \"OK\",\n        \"date\": \"2023-03-13 19:08:42\"\n    },\n    \"api\": [],\n    \"user\": {\n        \"id\": 2\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "example": 14644,
                          "default": 0
                        },
                        "email": {
                          "type": "string",
                          "example": "test@email.com"
                        },
                        "list_id": {
                          "type": "integer",
                          "example": 540,
                          "default": 0
                        },
                        "country": {},
                        "verification_status": {
                          "type": "integer",
                          "example": 3,
                          "default": 0
                        },
                        "verified": {
                          "type": "integer",
                          "example": 2,
                          "default": 0
                        },
                        "birthday": {},
                        "gender": {},
                        "name": {},
                        "lname": {},
                        "number": {},
                        "normalized": {},
                        "custom1": {},
                        "custom2": {},
                        "custom3": {},
                        "custom4": {},
                        "custom5": {},
                        "verify_local": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        }
                      }
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {}
                      }
                    },
                    "response": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer",
                          "example": 200,
                          "default": 0
                        },
                        "description": {
                          "type": "string",
                          "example": "OK"
                        },
                        "date": {
                          "type": "string",
                          "example": "2023-03-13 19:08:42"
                        }
                      }
                    },
                    "api": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {}
                      }
                    },
                    "user": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "example": 2,
                          "default": 0
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```